# expressionfilter.h File Reference

## Namespaces

namespace | log4cxx
namespace | log4cxx::rule
namespace | log4cxx::filter

## Classes

class | ExpressionFilter
| A filter supporting complex expressions - supports both infix and postfix expressions (infix expressions must first be converted to postfix prior to processing). More...

## Typedefs

typedef helpers::ObjectPtrT< Rule > | log4cxx::rule::RulePtr